/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from WebServerManager.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __WEBSERVERMANAGER_STUB__
#define __WEBSERVERMANAGER_STUB__

#include <dcopstub.h>
#include <tqptrlist.h>
#include <Defaults.h>
#include <dcopref.h>
#include <dcopobject.h>

namespace KPF {

class WebServerManager_stub : virtual public DCOPStub
{
public:
    WebServerManager_stub( const TQCString& app, const TQCString& id );
    WebServerManager_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit WebServerManager_stub( const DCOPRef& ref );
    virtual TQValueList<DCOPRef> serverList();
    virtual DCOPRef createServer( TQString root, uint listenPort, uint bandwidthLimit, uint connectionLimit, bool followSymlinks, TQString serverName );
    virtual void disableServer( DCOPRef  );
    virtual void quit();
protected:
    WebServerManager_stub() : DCOPStub( never_use ) {}
};

} // namespace

#endif
